package pages

import (
	"os"
	"strings"
)

func GetStr(key ...string) string {
	for _, k := range key {
		value := strings.TrimSpace(k)
		if value != "" {
			return value
		}
	}
	return ""
}

func GetEnvStr(key, defaultKey string) string {
	v, ok := os.LookupEnv(key)
	if !ok {
		return defaultKey
	}
	value := strings.TrimSpace(v)
	return value
}
